Install the API

Install the plugin

There is a BungeeCord and a Bukkit plugin you can install to use the API and to enable/disable features. Just put the required version into the plugins directory and restart the server.

Download the Bukkit and Bungeecord version: https://www.spigotmc.org/resources/labymod-server-api.52423/

Add the API to handle incoming messages and more

You can simply download the version of the plugin you need above. Afterwards you must add it as a dependency in your IDE:

For Eclipse

  1. Rightclick the project in your workspace and go to the Properties

  2. Open the Java Build Path tab on the left hand corner

  3. Switch to the Libraries-tab and click the button Add External JARs...

  4. A "Select File" prompt will appear where you should select the previously downloaded JAR

For IntelliJ

  1. Open the Project Structure at File -> Project Structure and open the tab Modules on the left hand corner
  2. Select your project's module and open the tab Dependencies
  3. Click on the "+"-sign and select "JARs or Directories"
  4. A "Select File" prompt will appear where you should select the previously downloaded JAR

Add the dependency to the plugin.yml

To make sure the API gets loaded before your plugin gets loaded, you should add the API as a dependency to your plugin.yml by just adding LabyModAPI to the depend-array:

1
2
3
4
5
name: TestPlugin
version: 1.0
author: LabyMedia
main: net.labymod.test.TestPlugin
depend: [LabyModAPI]